Subject: bug#39234: 27.0.60; wish: provide mml-attach-public-key command

From: Gregor Zattler <[email-masked]>
Date: Wed, 22 Jan 2020 12:00:01 +0100

Dear emacs developers, while it's possible to attach an OpenPGP
public key via mml-attach-file in message mode, it's inconvenient
because one has to first export this key from the keyring to a
file and attach this file then.  One has also to know about the
right mime type to chose.

It would be very helpful if there was a command
mml-attach-public-key which would one let choose a key from a epa
key listing and attach this chosen key with appropriate mime type
to a message buffer.  Before showing the epa key listing the
command could ask for a user id with the From: -headers email
address as the default answer.

Thanks for your attention and for developing emacs and message
mode, Gregor